Bug 1517016

Summary: Please depend on gnupg2, not on gnupg 1.x
Product: [Fedora] Fedora Reporter: Christian Stadelmann <fedora>
Component: volume_keyAssignee: Miloslav Trmač <mitr>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: hristo, huzaifas, mitr, pbrobinson, puiterwijk
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: volume_key-0.3.10-1.fc28 volume_key-0.3.10-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-23 15:40:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1269538    

Description Christian Stadelmann 2017-11-23 23:46:16 UTC
Description of problem:
This package is pulling in gnupg 1.x, which is not needed any more on modern workstations. Can you please port the tool to gnupg2, accept either of both versions or drop the dependency at all?

Version-Release number of selected component (if applicable):
volume_key-libs-0.3.9-15.fc27.x86_64

Comment 1 Miloslav Trmač 2017-11-25 14:27:59 UTC
I’m afraid it’s not that simple because gpgme apparently still can’t automatically submit passphrases to gpg2 (bug #637902, bug #842074).

After (./configure GPG=/usr/bin/gpg2) the test suite fails.

Comment 2 Peter Robinson 2018-05-09 16:19:18 UTC
*** Bug 1560251 has been marked as a duplicate of this bug. ***

Comment 3 Patrick Uiterwijk 2018-05-09 17:14:43 UTC
So, this is actually fixed in GnuPG2, but with custom work, if you call gpg2 with --pinentry-mode=loopback, it will allow bypassing of pinentry programs.
That *might* work with some integration libraries that have made to work with it.

If you use pinentry-mode=loopback, you can then either wait for the passphrase prompt on the stdio of gpg (or just send it after an EOF of the normal input), or use the --passphrase-fd, --passphrase-file* or --passphrase* options to pass it in.

*: PLEASE do not use these if at all avoidable..... These are terrible ideas for any production system and would result in the passphrase being either in a plain file or in the process list.

Comment 4 Fedora Update System 2018-05-21 12:44:22 UTC
volume_key-0.3.10-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3a1d1e391

Comment 5 Fedora Update System 2018-05-21 12:49:42 UTC
volume_key-0.3.10-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4c3987d4d4

Comment 6 Fedora Update System 2018-05-21 12:52:16 UTC
volume_key-0.3.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e05834bb7

Comment 7 Fedora Update System 2018-05-21 15:28:23 UTC
volume_key-0.3.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e05834bb7

Comment 8 Fedora Update System 2018-05-21 16:36:19 UTC
volume_key-0.3.10-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4c3987d4d4

Comment 9 Fedora Update System 2018-05-21 17:16:22 UTC
volume_key-0.3.10-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3a1d1e391

Comment 10 Fedora Update System 2018-05-23 15:40:46 UTC
volume_key-0.3.10-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-26 21:10:37 UTC
volume_key-0.3.10-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.